MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
 
(10 intermediate revisions by the same user not shown)
Line 2: Line 2:
/* Force disable default hover tooltip on mobile and enable the toggle */
/* Force disable default hover tooltip on mobile and enable the toggle */
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: none !important; }


/* Colors */
/* Colors */
Line 29: Line 28:
font-weight: normal;
font-weight: normal;
}
}
.text-tooltip { cursor: help; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
float: none !important;
display: inline-block !important;
}
 
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-default::before,
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-default::after {
content: "";
}
.toggle-tooltip { cursor: help; }


/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
Line 68: Line 76:


/* Bottom of Page Container (Mobile) */
/* Bottom of Page Container (Mobile) */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden) {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
Line 88: Line 96:


/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 98: Line 106:


/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):after {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:after {
content: "×" !important;
content: "×" !important;
position: fixed;
position: fixed;
Line 106: Line 114:
font-size: 30px;
font-size: 30px;
}
}
/* Tooltip surrogate toggle on backdrop overlay */
/* not sure what this does so hiding it for now
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
background: black;
position: fixed;
height: calc(100% - 125px);
width: 100%;
top: 0;
left: 0;
opacity: 0.6;
z-index: 10004;
}
*/


.custom-tt-wrapper .hnaw-extra-effect-header {
.custom-tt-wrapper .tt-header {
display: block;
display: block;
font-weight: bold;
font-weight: bold;
font-size: larger;
font-size: larger;
}
.hnaw-ee .oo-ui-popupWidget-body div,
.hnaw-ee .mw-collapsible-content.custom-tt {
text-align: left !important;
}
}


Line 129: Line 129:
.custom-tt-wrapper .oo-ui-popupWidget-popup {
.custom-tt-wrapper .oo-ui-popupWidget-popup {
border: none;
border: none;
background-color: inherit;
background-color: transparent;
border-radius: inherit;
border-radius: none;
}
}


 
/* Reinstate default collapsible behavior */
.custom-tt-wrapper .mw-collapsible[hidden="until-found"],
.custom-tt-wrapper .mw-collapsible [hidden="until-found"] {
display: block;
position: absolute;
width: 0 !important;
height: 0 !important;
overflow: hidden !important;
padding: 0 !important;
margin: 0 !important;
border: 0 !important;
}


@keyframes extra-effect-appear {
@keyframes extra-effect-appear {